> For the complete documentation index, see [llms.txt](https://docs.agant.io/Y83ivqmfOiUspagNyFg6/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.agant.io/Y83ivqmfOiUspagNyFg6/platform/on-ramp.md).

# On Ramp

## Overview

Agant enables your business to instantly convert **fiat currency into stablecoins** across supported networks - automatically and reliably through Agant [Rails](/Y83ivqmfOiUspagNyFg6/concepts/rails.md).

When you configure a On Ramp Rail, Agant assigns your company a [**Direct Virtual Account (DVA)**](/Y83ivqmfOiUspagNyFg6/concepts/virtual-bank-account.md#direct-virtual-account-dva) - a unique, dedicated virtual IBAN - which receives fiat deposits and is directly linked to your chosen wallet via the configured Rail.

Once funds are received, the platform automatically delivers the equivalent stablecoin to the linked wallet, completing the on-ramp in real time.

#### Examples

* **Rail 1** converts GBP to GBPA on Solana address 1
* **Rail 2** converts GBP to GBPA on Ethereum address 1
* **Rail 3** converts GBP to USDC on Solana address 1 (coming soon)

#### Example Flow

1. Example Co. configures a new Rail to convert GBP into GBPA on Solana (`71vd...AuAE` ).
2. Example Co. transfers 1000 GBP from their [whitelisted bank account](/Y83ivqmfOiUspagNyFg6/concepts/whitelisting.md#bank-account-whitelisting) to **Rail 1** via the [Direct Virtual Account (DVA)](/Y83ivqmfOiUspagNyFg6/concepts/virtual-bank-account.md#direct-virtual-account-dva) IBAN.
3. Agant monitors the DVA; as soon as funds arrive, 1000 GBPA is delivered to the configured Solana address `71vd...AuAE` .
4. The Rail remains active - Example Co. can send additional GBP to Rail 1 at any time, and GBPA will be delivered automatically.

***

## Implementation

### Step 1: Whitelist a destination wallet

Before you can receive stablecoins, whitelist your destination wallet using the [Broken mention](broken://pages/4d38b5b8bfdb82a20f6bcb4aa09b3b8a7cddae9d#post-wallets) API.

{% tabs %}
{% tab title="Request" %}

```bash
curl --request POST \
     --url https://sandbox.agant.io/api/v1/wallets \
     --header "Authorization: Bearer <api-token>" \
     --header 'Content-Type: application/json' \
     --data '{
       "name": "Company Treasury 001"
       "network_id": "SOLANA_DEVNET",
       "address": "<your-solana-wallet-address>"
     }'
```

{% endtab %}

{% tab title="Response" %}

```json
{
    "data": {
        "id": "wa_01k2m0h06as376kj73f8ztzpa7",
        "display_name": "Company Treasury 001",
        "is_custodial": false,
        "network": "SOLANA_DEVNET",
        "address": "DvrYg6UwzUZZdySN7jHNfXuuNh7BZCRaLJyRpnfooxho"
    }
}
```

{% endtab %}
{% endtabs %}

### Step 2: Create an On Ramp Rail

Use the [Broken mention](broken://pages/18ab52ef8e3cbc0200e9864cad22e407ad402a26#post-rails) API to provision a new On Ramp Rail.\
Specify the **source asset** as fiat (e.g. GBP) and the **destination asset** and wallet id (from the previous step).

Agant will generate a [Virtual Bank Account](/Y83ivqmfOiUspagNyFg6/concepts/virtual-bank-account.md) in your company’s name. Funds sent to this account will be auto-converted and sent to your wallet.

```bash
curl --request POST \
     --url https://sandbox.agant.io/api/v1/rails \
     --header "Authorization: Bearer <api-token>" \
     --header 'Content-Type: application/json' \
     --data '{
        "type": "ON_RAMP",
        "source": {
          "asset": "GBP"
        },
        "destination": {
          "asset": "GBPA",
          "wallet_id": "wa_01k2m0h06as376kj73f8ztzpa7"
        },
        "metadata": []
      }'
```

### Step 3: Send fiat to the Virtual Bank Account

Transfer the source asset (e.g. GBP ) to the provided virtual bank account. Agant monitors this dedicated account and processes the conversion upon receipt of funds. You will receive the tokens in your configured destination wallet.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.agant.io/Y83ivqmfOiUspagNyFg6/platform/on-ramp.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
